diff autogen.sh @ 14228:c18bdf510325

[gaim-migrate @ 16910] Fix autogen.sh to run glib-gettextize Fix CFLAGS when gstreamer is not installed Make things work with gtk < 2.6, in part by borrowing some code from gdk Don't link gntgaim with gstreamer, xss or sm committer: Tailor Script <tailor@pidgin.im>
author Stu Tomlinson <stu@nosnilmot.com>
date Sun, 20 Aug 2006 17:49:58 +0000
parents 44a8d46ee3c1
children b4a5b77e167e
line wrap: on
line diff
--- a/autogen.sh	Sun Aug 20 17:34:21 2006 +0000
+++ b/autogen.sh	Sun Aug 20 17:49:58 2006 +0000
@@ -1,5 +1,12 @@
 #!/bin/sh
 
+(glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+	echo;
+	echo "You must have glib-gettextize installed to compile Gaim";
+	echo;
+	exit;
+}
+
 (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
 	echo;
 	echo "You must have intltool installed to compile Gaim";
@@ -46,6 +53,7 @@
 done
 
 libtoolize -c -f --automake
+glib-gettextize --force --copy
 intltoolize --force --copy
 aclocal $ACLOCAL_FLAGS || exit;
 autoheader || exit;